Interlocutor interaction statistics

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get statistic on interlocutor interaction with the bot for the period

Response

AttributeTypeDescription
data.typestringalways "interlocutors_interactions_stats"
data.interactionsCountintthe number of interaction (messagesCount + buttonActionCount)
data.messagesCountstringthe number of messages
data.buttonActionsCountintthe number of button action
data.interlocutorsCountintthe number of unique interlocutor who interact during the period
data.interlocutorsDayCountintthe number of unique interlocutor who interact during the period day per day. A unique interlocutor who talk to the bot two days, count twice.
data.interactionsPerInterlocutorCountfloatmean of number of interaction per interlocutor
data.messagesPerInterlocutorCountfloatmean of number of message per interlocutor
data.buttonActionsPerInterlocutorCountfloatmean of button action of interaction per interlocutor
data.interactionsPerInterlocutorDayCountfloatmean of number of interaction per interlocutor x day
data.messagesPerInterlocutorDayCountfloatmean of number of message per interlocutor x day
data.buttonActionsPerInterlocutorDayCountfloatmean of button action of interaction per interlocutor x day
{
    "data": {
        "type": "interlocutors_interactions_stats",
        "interactionsCount": 11,
        "messagesCount": 7,
        "buttonActionsCount": 4,
        "interlocutorsCount": 1,
        "interlocutorsDayCount": 3,
        "interactionsPerInterlocutorCount": 11,
        "messagesPerInterlocutorCount": 7,
        "buttonActionsPerInterlocutorCount": 4,
        "interactionsPerInterlocutorDayCount": 3.6666666667,
        "messagesPerInterlocutorDayCount": 2.3333333333,
        "buttonActionsPerInterlocutorDayCount": 1.3333333333
    }
}
Path Params
string
required

a bot ID

Query Params
string
required

define the start date of the analysis, format must be %Y-%m-%d

string
required

define the end date of the analysis, format must be %Y-%m-%d.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json